# what's where?
include GNUmakevars


all: \
	sol-im-leerraum.ppm \
	raumhafen.ppm \
	people.ppm \
	test-mittelstueck.ppm \
	test-sz.ppm \
	test-sol.ppm \
	test-mensch.ppm \
	exodus.ppm \
	sol-ortho.ppm



%.jpg: %.ppm
	cjpeg $< > $@

%.ppm: %.pov
	$(POVRAY) +L$(POVINC) +V -I$< +FP

%.pov: make%
	$< > $@

test-sz.ppm: test-sz.pov sz.pov ynkelonium_texture.pov Triebwerk.pov

test-mittelstueck.ppm: test-mittelstueck.pov mittelstueck.pov \
    ynkelonium_texture.pov Triebwerk.pov
    
test-sol.ppm: test-sol.pov sol.pov sz.pov mittelstueck.pov \
    ynkelonium_texture.pov Triebwerk.pov

test-mensch.ppm: test-mensch.pov mensch.pov 

exodus.ppm: exodus.pov sol.pov sz.pov mittelstueck.pov \
    ynkelonium_texture.pov Triebwerk.pov mensch.pov ringwulst.pov
	$(POVRAY) +L$(POVINC) +V -I$< +FP +W600 +H800

raumhafen.ppm: raumhafen.pov
	$(POVRAY) +L$(POVINC) +V -I$< +FP +W600 +H800
	
sol-im-leerraum.ppm: sol-im-leerraum.pov sol.pov sz.pov mittelstueck.pov \
    ynkelonium_texture.pov Triebwerk.pov ringwulst.pov
	$(POVRAY) +L$(POVINC) +V -I$< +FP

sol-ortho.ppm: sol-ortho.pov sol.pov sz.pov mittelstueck.pov \
    ynkelonium_texture.pov Triebwerk.pov ringwulst.pov


%.gif: %.ppm
	ppmquant 256 $< | ppmtogif > $@
